### Method

# WebKit SecurityOrigin to_string

since: 2.16

#### Declaration [src]

    gchar*
    webkit_security_origin_to_string (
      WebKitSecurityOrigin* origin
    )

#### Description [src]

Gets a string representation of `origin`.

The string representation is a valid URI with only protocol, host, and port components, or `NULL`.

Available since: 2.16

#### Return value

Type: `gchar*`

A URI representing `origin`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.